%global commit 265f0406f63271fde2e40df71ce3347f6743ae87
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           freerouting
# gui/MainApplication.java: static final String VERSION_NUMBER_STRING = "1.2.43";
Version:        1.2.43
Release:        8.20140513git%{shortcommit}%{?dist}
Summary:        Circuit Board Routing Tool

Group:          Applications/Engineering
License:        GPLv3
URL:            http://www.freerouting.net/
Source0:        https://github.com/nikropht/FreeRouting/archive/%{commit}/FreeRouting-%{commit}.tar.gz
Source1:        freerouting.xml
Source2:        freerouting.desktop

BuildArch:      noarch
BuildRequires:  java-devel
BuildRequires:  javahelp2
BuildRequires:  icedtea-web
BuildRequires:  desktop-file-utils
Requires:       java
Requires:       javahelp2
Requires:       jpackage-utils

%description
Java Based Printed Circuit Board Routing Software from FreeRouting.net written
by Alfons Wirtz.

This software can be used together with all host PCB design software systems
containing a standard Specctra or Electra DSN interface. It imports .dsn-files
generated by the Specctra interface of the host system and exports Specctra
session files.


%prep
%setup -q -n FreeRouting-%{commit}


%build
find -name '*.java' |xargs javac -classpath \
        $(build-classpath javahelp2):%{_datadir}/icedtea-web/netx.jar
find -name '*.class' -o -name '*.properties' |
        xargs jar cf %{name}.jar helpset


%install
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -pm644 %{SOURCE1} %{buildroot}%{_datadir}/mime/packages

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

mkdir -p %{buildroot}%{_javadir}
install -pm644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar
%jpackage_script gui.MainApplication "" "" freerouting:javahelp2 freerouting true


%post
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ]
then
        /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
        /usr/bin/update-desktop-database &> /dev/null || :
fi


%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files
%{_javadir}/%{name}.jar
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime
%doc LICENSE README.md


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-8.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-7.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-6.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-5.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.43-4.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.43-3.20140513git265f040
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 12 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.2.43-2.20140513git265f040
- Add desktop-file-utils BR

* Fri Nov 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.2.43-1.20140513git265f040
- Initial packaging
